> ## Documentation Index
> Fetch the complete documentation index at: https://www.qovery.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List organization custom roles

> List organization custom roles



## OpenAPI

````yaml /api-reference/openapi.yaml get /organization/{organizationId}/customRole
openapi: 3.0.0
info:
  version: 1.0.4
  title: Qovery API
  description: >
    - Qovery is the fastest way to deploy your full-stack apps on any Cloud
    provider.

    - ℹ️ The API is stable and still in development.
  contact:
    name: Qovery Product Team
    url: https://www.qovery.com
    email: support+api+documentation@qovery.com
  x-logo:
    url: https://console.qovery.com/assets/logos/logo-white.svg
    altText: Qovery
servers:
  - url: https://api.qovery.com
security:
  - bearerAuth: []
  - ApiKeyAuth: []
tags:
  - name: Account
  - name: Account Info
  - name: Alert Receivers
  - name: Alert Rules
  - name: Admin
  - name: ArgoCD
  - name: Application
  - name: Application Actions
  - name: Application Configuration
  - name: Application Database
  - name: Application Deployment Restriction
  - name: Application Deployment History
  - name: Application Environment Variable
  - name: Application Logs
  - name: Application Main Calls
  - name: Application Secret
  - name: Application Annotations Group
  - name: Applications
  - name: AutoscalingPolicy
  - name: Container
  - name: Container Actions
  - name: Container Configuration
  - name: Container Database
  - name: Container Deployment History
  - name: Container Environment Variable
  - name: Container Logs
  - name: Container Main Calls
  - name: Container Registry
  - name: Container Secret
  - name: Container Annotations Group
  - name: Containers
  - name: Deployment Stage Main Calls
  - name: Job
  - name: Job Actions
  - name: Job Configuration
  - name: Job Database
  - name: Job Deployment Restriction
  - name: Job Deployment History
  - name: Job Environment Variable
  - name: Job Logs
  - name: Job Main Calls
  - name: Job Registry
  - name: Job Secret
  - name: Job Annotations Group
  - name: Jobs
  - name: KedaTriggerAuthentication
  - name: Helm
  - name: Helm Actions
  - name: Helm Configuration
  - name: Helm Database
  - name: Helm Deployment Restriction
  - name: Helm Deployment History
  - name: Helm Logs
  - name: Helm Main Calls
  - name: Helm Repository
  - name: Helms
  - name: Backups
  - name: Billing
  - name: Cloud Provider
  - name: Cloud Provider Credentials
  - name: Clusters
  - name: Custom Domain
  - name: Container Custom Domain
  - name: Database
  - name: Database Actions
  - name: Database Application
  - name: Database Container
  - name: Database Deployment History
  - name: Database Main Calls
  - name: Database Annotations Group
  - name: Databases
  - name: Environment
  - name: Environment Actions
  - name: Environment Deployment History
  - name: Environment Deployment Rule
  - name: Environment Logs
  - name: Environment Main Calls
  - name: Environment Secret
  - name: Environment Variable
  - name: Environments
  - name: Git
  - name: Github App
  - name: Git repositories
  - name: Members
  - name: Organization
  - name: Organization Account Git Repositories
  - name: Organization Cluster Lock
  - name: Organization Main Calls
  - name: Organization Custom Role
  - name: Organization Event
  - name: Organization Api Token
  - name: Organization Webhook
  - name: Organization Annotations Group
  - name: Organization Labels Group
  - name: Organization Enterprise Connection
  - name: Project
  - name: Project Deployment Rule
  - name: Project Environment Variable
  - name: Project Main Calls
  - name: Project Secret
  - name: Projects
  - name: Referral & Rewards
  - name: Secret Manager Access
  - name: Terraforms
  - name: Terraform Main Calls
  - name: Terraform Resources
  - name: Terraform Deployment History
  - name: Terraform Deployment Restriction
  - name: Container Registries
  - name: Helm Repositories
  - name: User Sign Up
  - name: Variable Main Calls
  - name: Helm Custom Domain
  - name: Lifecycle Template Main Calls
paths:
  /organization/{organizationId}/customRole:
    get:
      tags:
        - Organization Custom Role
      summary: List organization custom roles
      description: List organization custom roles
      operationId: listOrganizationCustomRoles
      parameters:
        - $ref: '#/components/parameters/organizationId'
      responses:
        '200':
          description: List organization custom roles
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationCustomRoleList'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    organizationId:
      name: organizationId
      in: path
      description: Organization ID
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    OrganizationCustomRoleList:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/OrganizationCustomRole'
    OrganizationCustomRole:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        cluster_permissions:
          type: array
          items:
            type: object
            properties:
              cluster_id:
                type: string
                format: uuid
              cluster_name:
                type: string
              permission:
                $ref: '#/components/schemas/OrganizationCustomRoleClusterPermission'
        project_permissions:
          type: array
          items:
            type: object
            properties:
              project_id:
                type: string
                format: uuid
              project_name:
                type: string
              is_admin:
                type: boolean
                description: |
                  If `is_admin` is `true`, the user is:
                  - automatically `MANAGER` for each environment type
                  - allowed to manage project deployment rules
                  - able to delete the project  

                  Note that `permissions` can then be ignored for this project
                default: false
              permissions:
                type: array
                items:
                  type: object
                  properties:
                    environment_type:
                      $ref: '#/components/schemas/EnvironmentModeEnum'
                    permission:
                      $ref: >-
                        #/components/schemas/OrganizationCustomRoleProjectPermission
    OrganizationCustomRoleClusterPermission:
      type: string
      description: >
        Indicates the permission for a target cluster, from the lowest to the
        highest:

        - `VIEWER` user has only read access on target cluster

        - `ENV_CREATOR` user can deploy on the cluster

        - `ADMIN` user can modify the cluster settings
      enum:
        - VIEWER
        - ENV_CREATOR
        - ADMIN
      example: VIEWER
    EnvironmentModeEnum:
      type: string
      enum:
        - DEVELOPMENT
        - PREVIEW
        - PRODUCTION
        - STAGING
      example: PRODUCTION
    OrganizationCustomRoleProjectPermission:
      type: string
      description: >
        Indicates the permission for a target project and a given environment
        type, from the lowest to the highest:

        - `NO_ACCESS` user has no access

        - `VIEWER` user can access the environment (and applications /
        containers / databases / variables)

        - `DEPLOYER` user can deploy the environment (dependent on the required
        cluster permission `ENV_CREATOR`)

        - `MANAGER` user can create an environment (and applications /
        containers / databases / variables)
      enum:
        - NO_ACCESS
        - VIEWER
        - DEPLOYER
        - MANAGER
      example: NO_ACCESS
  responses:
    '401':
      description: Access token is missing or invalid
    '403':
      description: Access forbidden
    '404':
      description: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT tokens should be used with OIDC account (human to machine). JWT
        tokens used by the Qovery console to communicate with the API have a
        TTL. Curl Example ' curl https://console.qovery.com/organization -H
        "Authorization: Bearer $qovery_token" '
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Token API are generated by Qovery to manage machine to machine
        interaction and do not have a TTL. Curl Example ' curl
        https://console.qovery.com/organization -H "Authorization: Token
        $qovery_token" '

````